{
  config,
  inputs,
  pkgs,
  ...
}: {
  imports = with inputs; [
    self.nixosModules.config
    self.nixosModules.desktop
    self.nixosModules.system
    ./disko
    ./misc
  ];

  networking = {
    networkmanager.enable = true;
    hostId = "c7f6c4a1";
    hostName = "dunamis";
  };

  environment.memoryAllocator.provider = "mimalloc";
  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  desktop.gnome.enable = true;
  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };
  # TODO: make a module for autologin
  # services.greetd.settings.initial_session = {
  #   user = "user";
  #   command = "${pkgs.niri}/bin/niri-session";
  # };

  module = {
    config = {
      secureBoot = true;
      tpmDiskUnlock = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "gruvbox-dark-pale";
    };
  };

  locale.ukrainian.enable = true;
  opentabletdriver.enable = false;
  qmk-vial.enable = true;
  virtual.libvirt.enable = true;
}
