{inputs, ...}: let
  disk-main = "/dev/disk/by-id/nvme-INTEL_SSDPEKKF256G8L_BTHH81460QC2256B";
  disk-second = "/dev/disk/by-id/nvme-WDC_PC_SN730_SDBPNTY-1T00-1101_21114D802446";
in {
  imports = with inputs; [
    disko.nixosModules.disko
  ];
  disko.devices.nodev = {
    "/tmp" = {
      fsType = "tmpfs";
      mountOptions = ["rw" "nosuid" "nodev"];
    };
  };
  disko.devices.disk.main = import ./disk-main.nix {inherit disk-main;};
  disko.devices.disk.second = import ./disk-second.nix {inherit disk-second;};
}
