{disk-main}: {
  type = "disk";
  device = disk-main;
  content = {
    type = "gpt";
    partitions = {
      ESP = {
        size = "2G";
        type = "EF00";
        content = {
          type = "filesystem";
          format = "vfat";
          mountpoint = "/boot";
          mountOptions = [
            "umask=0077"
            "fmask=0022"
            "dmask=0022"
            "noexec"
            "nosuid"
            "nodev"
          ];
        };
      };
      luks = {
        size = "100%";
        content = {
          type = "luks";
          name = "luks-main";
          initrdUnlock = true;
          settings.allowDiscards = true;
          content = {
            type = "btrfs";
            extraArgs = ["-f"];
            subvolumes = {
              "@root-nixos" = {
                mountpoint = "/";
                mountOptions = [
                  "autodefrag"
                  "compress=zstd"
                  "noatime"
                  # "noexec"
                ];
              };
              "@home" = {
                mountpoint = "/home";
                mountOptions = [
                  "autodefrag"
                  "compress=zstd"
                  "noatime"
                ];
              };
              "@swap" = {
                mountpoint = "/swap";
                mountOptions = [
                  # "compress=zstd"
                  "noatime"
                ];
              };
              # "@nix" = {
              #   mountpoint = "/nix";
              #   mountOptions = [
              #     "compress-force=zstd"
              #     "noatime"
              #   ];
              # };
            };
          };
        };
      };
    };
  };
}
