{
  config,
  lib,
  ...
}: {
  nixpkgs.config.allowUnfreePredicate = pkg:
    builtins.elem (lib.getName pkg) [
      "nvidia-x11"
    ];
  services.xserver.videoDrivers = ["nvidia"];
  hardware = {
    nvidia-container-toolkit.enable = true;
    nvidia = {
      package = config.boot.kernelPackages.nvidiaPackages.beta;
      open = true;
      modesetting.enable = true;
      nvidiaSettings = false;
      dynamicBoost.enable = true;
      powerManagement = {
        enable = false;
        # finegrained = true;
      };
      prime = {
        # sync.enable = true;
        # reverseSync.enable = true;
        # allowExternalGpu = true;
        offload = {
          enable = true;
          enableOffloadCmd = true;
        };
        amdgpuBusId = "PCI:6:0:0";
        nvidiaBusId = "PCI:1:0:0";
      };
    };
  };
}
