{
  inputs,
  # pkgs,
  lib,
  ...
}: {
  imports = with inputs; [
    self.nixosModules.desktop
    self.nixosModules.system
    self.nixosModules.config
    ./disko
    ./hardware
    ./misc
  ];

  networking = {
    networkmanager.enable = true;
    hostId = "bd1b5837";
    hostName = "morphius";
  };

  boot.loader.timeout = lib.mkForce 0;
  environment.memoryAllocator.provider = "mimalloc";
  system.stateVersion = "25.11";
  time.timeZone = "Europe/Kyiv";

  zramSwap.enable = true;
  swapDevices = [
    {
      device = "/swap/swapfile";
      size = 8 * 1024;
    }
  ];

  desktop.gnome.enable = true;

  services.displayManager.autoLogin = {
    enable = true;
    user = "user";
  };

  module = {
    config = {
      secureBoot = true;
      tpmDiskUnlock = true;
      powerSave = true;
      useIwd = true;
      vaapi = "intel-media-driver";
    };
    stylix = {
      enable = true;
      theme = "gruvbox-dark-pale";
    };
  };

  locale.ukrainian.enable = true;
  opentabletdriver.enable = false;
}
