{
  osConfig,
  config,
  pkgs,
  lib,
  ...
}:
with lib; let
  inherit (osConfig.module.stylix) theme;
  cfg = config.desktop.plasma;
in {
  options = {
    desktop.plasma.enable =
      mkEnableOption "enable plasma desktop";
  };
  config = mkIf cfg.enable {
    stylix.targets.qt.enable = mkDefault false;
    stylix.targets.kde.enable = mkDefault true;
    services.gnome-keyring = {
      enable = true;
      components = ["secrets"];
    };

    home.packages = with pkgs; [
      wl-clipboard-rs
    ];
    gtk = {
      enable = true;
      iconTheme = {
        name =
          if config.stylix.polarity == "dark"
          then "Papirus-Dark"
          else "Papirus-Light";
        package =
          if (removeSuffix "-light" theme) == "nord"
          then pkgs.papirus-nord
          else pkgs.papirus-icon-theme;
      };
    };
  };
}
